List users

Returns a list of users in the organization. Filtering is available via query parameters.

  • Rate limit: 100 requests per minute

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Email address

string
enum

Lifecycle status

Allowed:
boolean

true if the user has left the organization, false otherwise

boolean

true if the user is external, false otherwise

string
string
string
length ≤ 50

A comma separated list of idUser with a maximum of 50 IDs.

string

A comma-seperated list of fields to sort by, with a postfix with either ':asc' or ':desc'. Fields can either be general, or custom to your organization

integer
1 to 1000

The max amount of results to return

string

A base64 string indicating the offset from which to start.
Pass the value of nextCursor returned from the previous call to get the next set of results

string

JSON string representing aggregation configuration. Structure: '{"field":"string","aggregationType":"metric|groupBy|date_range|date_histogram","options":{"size":"integer","sort":{"field":"string","order":"desc|asc","aggFunc":"total|sum|avg|max|min"},"metricFunction":"total|sum|avg|max|min","hardBounds":{"min":"string","max":"string"},"extendedBounds":{"min":"string","max":"string"},"datePeriod":"weekly|monthly|quarterly|yearly"},"aggs":"Nested aggregation with the same structure as the parent"}'

string
Defaults to idOrg,firstName,lastName,email,creationTime,idRole,lifecycleStatus,isDeletedInIdentitySources,isExternal,activeAppsCount,role,additionalEmails

List of fields to return for each user.
Allowed fields: idOrg, firstName, lastName, email, creationTime, idRole, lifecycleStatus, isDeletedInIdentitySources, isExternal, activeAppsCount, role, additionalEmails and all fields from /users/fields. id and additionalEmails are always returned.

string

The query to search

string
enum

The view to use

string

JSON string representing filters

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*